Bug 740074 - [network] not all wireless networks show up in gnome-shell network indicator
Summary: [network] not all wireless networks show up in gnome-shell network indicator
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-20 20:41 UTC by Charles R. Anderson
Modified: 2013-02-13 19:54 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-13 19:54:29 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 666151 None None None 2012-09-06 12:36:31 UTC

Description Charles R. Anderson 2011-09-20 20:41:59 UTC
Description of problem:

The NetworkManager applet in gnome-shell sometimes fails to display all available wireless networks.  In some cases, the only one that displays is the one you are currently associated to and no "More..." item appears.  In other cases, there are a couple in the "More..." list, but they appear to be Ad-Hocs only.  The other infrastructure ESSIDs do not show up.

As a separate (but perhaps related) problem, the Wireless On/Off switch doesn't appear anymore either.

As a result, I cannot connect to these other wireless networks.

Version-Release number of selected component (if applicable):
NetworkManager-0.9.0-2.fc16.x86_64
gnome-shell-3.1.91-2.fc16.x86_64
wpa_supplicant-0.7.3-11.fc16.x86_64
kernel-3.1.0-0.rc6.git0.3.fc16.x86_64

How reproducible:
not sure

Steps to Reproduce:
1. Unsuspend laptop
2. Wait for network to connect to pre-configured wifi network
3. Pull down network applet menu and notice that other ESSIDs don't appear
4. Run "iwlist scanning" from a root shell
  
Actual results:

Some ESSIDs appear (perhaps only the one you are associated to plus any AdHocs nearby), but other Infrastructure ESSIDs are missing.

I'm connected to WPI-Wireless, a WPA2-Enterprise connection with EAP-TLS certificates.  This connects automatically and also shows up in the list with a bullet next to it.  Here is what I see:

 Wired        cable unplugged
 Wireless     unavailable
*WPI-Wireless (5 bars, lock icon)
 More...
 Printer      (adhoc icon, lock icon)

iwlist scanning shows more ESSIDs/APs available than show up in the applet menu.  Here is the output filtered through:

grep -Ev 'IE: |Group Cipher|Pairwise Cipher|Authentication Suite|Extra:|Bit Rates:'

wlan0     Scan completed :
          Cell 01 - Address: 00:26:3E:8D:C4:02
                    Channel:1
                    Frequency:2.412 GHz (Channel 1)
                    Quality=70/70  Signal level=-37 dBm  
                    Encryption key:on
                    ESSID:"WPI-Wireless"
                              11 Mb/s; 12 Mb/s; 18 Mb/s
                    Mode:Master
          Cell 02 - Address: 00:26:3E:8D:C4:00
                    Channel:1
                    Frequency:2.412 GHz (Channel 1)
                    Quality=70/70  Signal level=-37 dBm  
                    Encryption key:off
                    ESSID:"WPI-Guest"
                              11 Mb/s; 12 Mb/s; 18 Mb/s
                    Mode:Master
          Cell 03 - Address: 78:19:F7:70:37:00
                    Channel:6
                    Frequency:2.437 GHz (Channel 6)
                    Quality=70/70  Signal level=-26 dBm  
                    Encryption key:on
                    ESSID:"WPI-Lab"
                              11 Mb/s; 12 Mb/s; 18 Mb/s
                    Mode:Master
          Cell 04 - Address: 00:0B:0E:EE:64:82
                    Channel:11
                    Frequency:2.462 GHz (Channel 11)
                    Quality=34/70  Signal level=-76 dBm  
                    Encryption key:on
                    ESSID:"WPI-Wireless"
                              11 Mb/s; 12 Mb/s; 18 Mb/s
                    Mode:Master
          Cell 05 - Address: 78:19:F7:70:37:01
                    Channel:36
                    Frequency:5.18 GHz (Channel 36)
                    Quality=67/70  Signal level=-43 dBm  
                    Encryption key:on
                    ESSID:"WPI-Lab"
                              36 Mb/s; 48 Mb/s; 54 Mb/s
                    Mode:Master
          Cell 06 - Address: 00:26:3E:8D:C4:01
                    Channel:149
                    Frequency:5.745 GHz (Channel 149)
                    Quality=70/70  Signal level=-39 dBm  
                    Encryption key:off
                    ESSID:"WPI-Guest"
                              36 Mb/s; 48 Mb/s; 54 Mb/s
                    Mode:Master
          Cell 07 - Address: 00:26:3E:8D:C4:03
                    Channel:149
                    Frequency:5.745 GHz (Channel 149)
                    Quality=70/70  Signal level=-40 dBm  
                    Encryption key:on
                    ESSID:"WPI-Wireless"
                              36 Mb/s; 48 Mb/s; 54 Mb/s
                    Mode:Master
          Cell 08 - Address: 00:0B:0E:EE:64:81
                    Channel:157
                    Frequency:5.785 GHz (Channel 157)
                    Quality=33/70  Signal level=-77 dBm  
                    Encryption key:off
                    ESSID:"WPI-Guest"
                              36 Mb/s; 48 Mb/s; 54 Mb/s
                    Mode:Master
          Cell 09 - Address: 00:0B:0E:EE:64:83
                    Channel:157
                    Frequency:5.785 GHz (Channel 157)
                    Quality=34/70  Signal level=-76 dBm  
                    Encryption key:on
                    ESSID:"WPI-Wireless"
                              36 Mb/s; 48 Mb/s; 54 Mb/s
                    Mode:Master

Expected results:

All normally visible Infrastructure networks/APs should show up.

Additional info:

ThinkPad T520
Intel Centrino Ultimate-N 6300 (rev 35)
iwlagn driver

Comment 1 Jirka Klimes 2011-09-21 06:36:24 UTC
Run 'nmcli dev wifi list' or 'nm-tool' that will tell us what SSIDs NetworkManager is aware of.

If that shows networks that are not visible in the GnomeShell network indicator, then the indicator is probably misbehaving. Otherwise there could be a problem with scanning via wpa_supplicant.

Comment 2 James Ettle 2011-12-14 10:26:08 UTC
Seeing this here, too, gnome-shell-3.2.1-2.fc16.x86_64. Looks like there's some problem in the communication between Gnome Shell and NM.

Typically, the list of networks in the Gnome Shell panel menu is incomplete or incorrect after:

  - suspend/resume cycle;
  - turning wireless of and back on.

Restarting Gnome Shell correctly repopulates the list. In my case, at the moment, nm-tool reports 6 wireless access points (as it should). However, only one of them shows up.

Was not a problem with Gnome 3.0. Have filed an upstream report at https://bugzilla.gnome.org/show_bug.cgi?id=666151

Comment 3 Jirka Klimes 2012-09-06 12:36:31 UTC
Over to gnome-shell

Comment 4 Fedora End Of Life 2013-01-16 16:21:20 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Fedora End Of Life 2013-02-13 19:54:33 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.